GELF_GETREL(3)

NAME
gelf_getrel, gelf_getrela - retrieve relocation entries as class-independent structures

SYNOPSIS
#include <gelf.h>
GElf_Rel  *gelf_getrel (Elf_Data *data, int ndx, GElf_Rel  *dst);
GElf_Rela *gelf_getrela(Elf_Data *data, int ndx, GElf_Rela *dst);

DESCRIPTION
The gelf_getrel() and gelf_getrela() functions translate the REL or RELA relocation entry at index ndx from data into a class-independent representation stored in *dst.

data must be the Elf_Data of a section whose type matches the function being called: SHT_REL for gelf_getrel() and SHT_RELA for gelf_getrela().

PARAMETERS

data
    Pointer to an Elf_Data for a SHT_REL or SHT_RELA relocation section.

ndx Zero-based index of the relocation entry within data.

dst Pointer to a caller-provided structure for storing the relocation: GElf_Rel for gelf_getrel() and GElf_Rela for gelf_getrela(). dst must not be NULL.

RETURN VALUE
On success, returns dst. On failure, returns NULL and sets elf_errno. If data is NULL, then NULL is returned without setting elf_errno.

SEE ALSO
elf_getdata(3), gelf_update_rel(3), gelf_update_rela(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.